/*
 * main.c - main for the test program
 *	Contains the test definitions and calls the RunTest function
 */

#include	<stdio.h>
#include	"XlibTK.h"
#include	"TestTK.h"

/*
 * external functions
 */

extern void InitImageTest(
#if NeedFunctionPrototypes
    AppContext	/* context */,
    TestData	/* test_data */
#endif
);

/*
 * test definitions
 */

TestInfoStruct menu_def[] =
{
    { "Image Test", InitImageTest, NULL, NULL, { 0, 0, 200, 200 } },
    { "Quit", NULL, NULL, NULL, { 0, 0, 0, 0 } }
};
int	num_items = 2;

/*
 * start of main function
 */

main()
{
    printf( "Starting test program\n" );
    RunTest( menu_def, num_items );
    printf( "Exiting test program\n" );
}

